##
##  jslint.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2012 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         jslint
Summary:      JavaScript Linting Tool
URL:          http://www.jslint.com/
Vendor:       Douglas Crockford
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      MIT
Version:      20121231
Release:      20130127

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/jslint/jslint-%{version}.tar.gz
Source1:      jslint.sh
Source2:      jslint.js

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101
PreReq:       OpenPKG, openpkg >= 20100101, node

%description
    JSLint is a JavaScript program that looks for problems in JavaScript
    programs. It is a code quality tool.

%track
    prog jslint = {
        version   = %{version}
        url       = http://download.openpkg.org/components/versioned/jslint/
        regex     = jslint-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n jslint

%build
    cat jslint.js json2.js %{SOURCE jslint.js} >jslint.txt

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/jslint
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE jslint.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/jslint
    %{l_shtool} install -c -m 644 \
        jslint.txt $RPM_BUILD_ROOT%{l_prefix}/lib/jslint/jslint.js
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

